Mailrelay API Reference

Get WhatsApp sent campaign's sent messages

GET /whatsapp/sent_campaigns/{id}/sent_messages

Get WhatsApp sent campaign's sent messages.

Pagination

This is a paginated resource. You can optionally send two query parameters:

Parameter Description
page The page that you want to retrieve. It starts with 1.
per_page The number of records returned per page. The max allowed value for this resource is 10000.

The response will include two HTTP headers:

Header Description
Total The total number of pages based on your parameters. You can use this option to know when you've reached the end of the pagination.
Per-Page The number of records returned per page.

Parameters

NameTypeDescription
id integer ID of the record
page integer Page number
per_page integer Number of records per page
q[phone_eq] string Search: Phone equals
q[phone_cont] string Search: Phone contains
q[status_eq] string Search: Status equals
q[status_cont] string Search: Status contains
q[country_eq] string Search: Country equals
q[country_cont] string Search: Country contains
q[category_eq] string Search: Category equals
q[category_cont] string Search: Category contains
q[processed_at_eq] string Search: Processed at equals
q[processed_at_gteq] string Search: Processed at greater than or equal to
q[processed_at_lteq] string Search: Processed at less than or equal to
q[delivered_at_eq] string Search: Delivered at equals
q[delivered_at_gteq] string Search: Delivered at greater than or equal to
q[delivered_at_lteq] string Search: Delivered at less than or equal to
q[failed_at_eq] string Search: Failed at equals
q[failed_at_gteq] string Search: Failed at greater than or equal to
q[failed_at_lteq] string Search: Failed at less than or equal to
q[error_code_eq] string Search: Error code equals
q[error_code_cont] string Search: Error code contains
q[s] string Allows ordering the records based on a specific field. You may optionally append "asc" or "desc" to define the direction. Example: "phone desc"

Responses

StatusDescription
200 Success
401 The API key wasn't sent or is invalid
500 An internal error happened. Try again later.
404 Couldn't find record with provided ID.